Bug 82209 - Wrong initrd when root raid device is *not* md0
Summary: Wrong initrd when root raid device is *not* md0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 22:39 UTC by Santiago Gala
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-26 16:06:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new version of mkinitrd to resolve this problem (14.33 KB, text/plain)
2003-01-26 16:05 UTC, Erik Troan
no flags Details

Description Santiago Gala 2003-01-19 22:39:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
My fstab has a line:

/dev/md1 / ext3 defaults 1 1

The lines:

if [ -n "$startraid" ]; then
    cp -aL /dev/md0 $MNTIMAGE/safedev
    echo "raidautorun /safedev/md0" >> $RCFILE
fi

assume that the root devide will always be md0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup a rootfs in md1 to md18
2.upgrade a kernel
3.try to boot with it
    

Actual Results:  kernel panic, as the kernel cannot mount the root file system

Expected Results:  a normal boot

Additional info:

In the script there is already a rootdev that could be used with some massage
to get the true root device


The bug is annoying, as it takes quite some time to understand the issues after
boot.

Notice that I'm using Mandrake, although the package is listed everywhere with a
 Redhat home page, so I'm reporting here.

Comment 1 Erik Troan 2003-01-26 16:05:57 UTC
Created attachment 89606 [details]
new version of mkinitrd to resolve this problem

Comment 2 Erik Troan 2003-01-26 16:06:46 UTC
that is annoying -- new new mkinitrd attached to this message should fix it;
reopen the bug if not


Note You need to log in before you can comment on or make changes to this bug.